using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;
using System.Xml.Linq;

namespace SlnMesnac.Model.domain
{
    [SugarTable("LOGO_IDENTIFY"), TenantAttribute("AUCMA_MES")]
    public class LogoIdentify
    {
        /// <summary>
        /// 主键标识 
        ///</summary>
        [SugarColumn(ColumnName = "ID", IsPrimaryKey = true, IsIdentity = true,OracleSequenceName ="SEQ_LOGO_IDENTIFY")]
        public int Id { get; set; }

        /// <summary>
        /// 箱体码
        /// </summary>
        [SugarColumn(ColumnName = "PRODUCT_CODE")]
        public string ProductCode { get; set; }

        /// <summary>
        /// 型号
        /// </summary>
        [SugarColumn(ColumnName = "MATERIAL_TYPE")]
        public string MaterialType { get; set; }

        /// <summary>
        /// 成品名称
        /// </summary>
        [SugarColumn(ColumnName = "MATERIAL_NAME")]
        public string MaterialName { get; set; }

        /// <summary>
        /// 是否需要检测；0不需要；1需要
        /// </summary>
        [SugarColumn(ColumnName = "IS_CHECKED")]
        public int isChecked { get; set; }

        /// <summary>
        /// 检测结果，0-失败；1-成功; 2-不检验；3-人工确认
        /// </summary>
        [SugarColumn(ColumnName = "RESULT")]
        public int Result { get; set; }

        /// <summary>
        /// 记录时间
        /// </summary>
        [SugarColumn(ColumnName = "RECORD_TIME")]
        public DateTime RecordTime { get; set; }

        /// <summary>
        /// 记录时间
        /// </summary>
        [SugarColumn(ColumnName = "PICTURE")]
        public Byte[]? Picture { get; set; }

        /// <summary>
        /// 工位编号
        /// </summary>
        [SugarColumn(ColumnName = "PRODUCT_LINE")]
        public string ProductLine { get; set; }
    }
}
